## org.jboss
Class Main.NullURLsMLet

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--java.security.SecureClassLoader
                  |
                  +--java.net.URLClassLoader
                        |
                        +--javax.management.loading.MLet
                              |
                              +--org.jboss.Main.NullURLsMLet

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.loading.MLetMBean

Enclosing class:
  Main

public static class Main.NullURLsMLet
extends javax.management.loading.MLet

Constructor Summary
`Main.NullURLsMLet()`
`Main.NullURLsMLet(java.net.URL[] urls)`

Method Summary
`java.net.URL[]` `getAllURLs()`
`java.net.URL[]` `getURLs()`

Methods inherited from class javax.management.loading.MLet
`addURL, addURL, findClass, findLibrary, getLibraryDirectory, getMBeansFromURL, getMBeansFromURL, postDeregister, postRegister, preDeregister, preRegister, readExternal, setLibraryDirectory, writeExternal`

Methods inherited from class java.net.URLClassLoader
`definePackage, findResource, findResources, getPermissions, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.loading.MLetMBean
`getResource, getResourceAsStream, getResources`

Constructor Detail

### Main.NullURLsMLet

    public Main.NullURLsMLet()

### Main.NullURLsMLet

    public Main.NullURLsMLet(java.net.URL[] urls)

Method Detail

### getURLs

    public java.net.URL[] getURLs()

  Overrides:
    `getURLs` in class `javax.management.loading.MLet`

### getAllURLs

    public java.net.URL[] getAllURLs()

Copyright © 2000 The JBoss Organization. All Rights Reserved.